routes/web.php
<?php

use App\Http\Controllers\ApplicationsController;
use App\Http\Controllers\BooksController;
use App\Http\Controllers\MainPageController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [App\Http\Controllers\CategoriesController::class, 'index'])->name('home');

Route::resource('categories', \App\Http\Controllers\CategoriesController::class)->only(['index', 'show']);

Route::get('main', [MainPageController::class, 'index'])->name('main');

Route::resource('books', BooksController::class)->only(['show']);

Route::resource('books.applications', ApplicationsController::class)->only(['create', 'store']);

Route::get('/users/register', [App\Http\Controllers\UsersController::class,
    'register'])->name('users.register');
Route::post('users', [App\Http\Controllers\UsersController::class, 'store'])
    ->name('users.store');
Route::get('/login', [App\Http\Controllers\SessionsController::class, 'create'])
    ->name('sessions.login');
Route::post('/login', [App\Http\Controllers\SessionsController::class, 'store'])
    ->name('sessions.store');
Route::delete('/logout', [App\Http\Controllers\SessionsController::class, 'destroy'])
    ->name('sessions.delete');

app/Models/Book.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Book extends Model
{
    use HasFactory;

    /**
     * @var string[]
     */
    protected $fillable = ['title', 'author', 'category_id', 'picture', 'status', 'return_date'];

    /**
     * @return BelongsTo
     */
    public function category(): BelongsTo
    {
        return $this->belongsTo(Category::class);
    }


    /**
     * @return HasMany
     */
    public function applications(): HasMany
    {
        return $this->hasMany(Application::class);
    }
}

app/Http/Controllers/BooksController.php
<?php

namespace App\Http\Controllers;

use App\Models\Book;
use Illuminate\Http\Request;

class BooksController extends Controller
{
    /**
     * @param Book $book
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function show(Book $book)
    {
        return view('books.show', compact('book'));
    }
}

resources/views/books/show.blade.php
@extends('layouts.base')

@section('content')
    @include('notifications.alerts')

    <div class="col main pt-5 mt-3">
        <h1 class="display-4 d-none d-sm-block">
            {{$book->title}}
        </h1>
        <div class="card" style="width: 26rem">
            <img class="card-img-top" src="{{asset('/storage/' . $book->picture)}}" alt="{{$book->picture}}" width="25" height="500">
            <div class="card-body">
                <p class="card-text"><b>Author:</b> {{$book->author}}
            </div>
            <div class="card-body">
                <a href="{{route('categories.index')}}" class="btn btn-primary btn-sm"><b>Back</b></a>
            </div>
        </div>
    </div>


@endsection